version: '3.4'

services:
  api.institute:
    image: ${DOCKER_REGISTRY-}apiinstitute
    build:
      context: .
      dockerfile: microservices/institute/Dockerfile

  api.teacher:
    image: ${DOCKER_REGISTRY-}apiteacher
    build:
      context: .
      dockerfile: microservices/teacher/Dockerfile


  api.student:
    image: ${DOCKER_REGISTRY-}apistudent
    build:
      context: .
      dockerfile: microservices/student/Dockerfile


  api.user:
    image: ${DOCKER_REGISTRY-}apiuser
    build:
      context: .
      dockerfile: microservices/user/Dockerfile


  api.bucket:
    image: ${DOCKER_REGISTRY-}apibucket
    build:
      context: .
      dockerfile: microservices/S3Bucket/Dockerfile

  api.admin:
    image: ${DOCKER_REGISTRY-}apiadmin
    build:
      context: .
      dockerfile: microservices/admin/Dockerfile


  api.gateway:
    image: ${DOCKER_REGISTRY-}apigateway
    build:
      context: .
      dockerfile: gateway/Dockerfile

  sql-server-db:
    container_name: sql-server-db
    image: mcr.microsoft.com/mssql/server:2022-latest

    ports:
        - "1433:1433"
    environment:
        SA_PASSWORD: "OdiOdi@1234"
        ACCEPT_EULA: "Y"